Runtime

## org.eclipse.gmf.runtime.diagram.core.commands
Class CreateDiagramCommand

    java.lang.Object
      org.eclipse.core.commands.operations.AbstractOperation
          org.eclipse.emf.workspace.AbstractEMFOperation
              org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand
                  org.eclipse.gmf.runtime.diagram.core.commands.CreateDiagramCommand

All Implemented Interfaces:
  IUndoableOperation, ICommand, org.eclipse.gmf.runtime.common.core.internal.command.ICommandWithSettableResult

    public class CreateDiagramCommand

extends AbstractTransactionalCommand

Creates a diagram

Constructor Summary
`CreateDiagramCommand(TransactionalEditingDomain editingDomain, java.lang.String label, org.eclipse.emf.ecore.EObject anElementContext, java.lang.String aDiagramKindType, PreferencesHint preferencesHint)` creates a create diagram command.

Method Summary
`protected CommandResult` `doExecuteWithResult(IProgressMonitor monitor, IAdaptable info)` Implemented by subclasses to perform the model changes.
`protected java.lang.String` `getDiagramType()` gives access to the diagram type.
`protected java.lang.String` `getPluginId()`
`protected PreferencesHint` `getPreferencesHint()` Gets the preferences hint that is to be used to find the appropriate preference store from which to retrieve diagram preference values.
`protected org.eclipse.emf.ecore.EObject` `getSemanticContext()` gives access to the semantic context

Methods inherited from class org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand
`aggregateStatuses, cleanup, compose, didRedo, didUndo, doExecute, doRedo, doUndo, getAffectedFiles, getCommandResult, getWorkspaceFiles, getWorkspaceFiles, internalSetResult, reduce, setResult`

Methods inherited from class org.eclipse.emf.workspace.AbstractEMFOperation
`canRedo, canUndo, didCommit, dispose, execute, getChange, getEditingDomain, getOptions, redo, undo`

Methods inherited from class org.eclipse.core.commands.operations.AbstractOperation
`addContext, canExecute, getContexts, getLabel, hasContext, removeContext, setLabel, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.command.ICommand
`setLabel`

Methods inherited from interface org.eclipse.core.commands.operations.IUndoableOperation
`addContext, canExecute, canRedo, canUndo, dispose, execute, getContexts, getLabel, hasContext, redo, removeContext, undo`

Constructor Detail

### CreateDiagramCommand

    public CreateDiagramCommand(TransactionalEditingDomain editingDomain,
                                java.lang.String label,
                                org.eclipse.emf.ecore.EObject anElementContext,
                                java.lang.String aDiagramKindType,
                                PreferencesHint preferencesHint)

  creates a create diagram command.

  Parameters:
    `editingDomain` - the editing domain through which model changes are made
    `label` - command label
    `anElementContext` - semantic element to contain the diagram
    `aDiagramKindType` - diagram type ID
    `preferencesHint` - The preference hint that is to be used to find the appropriate preference store from which to retrieve diagram preference values. The preference hint is mapped to a preference store in the preference registry <@link DiagramPreferencesRegistry>.

Method Detail

### doExecuteWithResult

    protected CommandResult doExecuteWithResult(IProgressMonitor monitor,
                                                IAdaptable info)
                                         throws ExecutionException

  Description copied from class: `AbstractTransactionalCommand`
  Implemented by subclasses to perform the model changes. These changes are applied by manipulation of the EMF metamodel's API, not by executing commands on the editing domain's command stack.

  Specified by:
    `doExecuteWithResult` in class `AbstractTransactionalCommand`
  Parameters:
    `monitor` - the progress monitor provided by the operation history
    `info` - the adaptable provided by the operation history
  Returns:
    the result of the execution
  Throws:
    `ExecutionException` - if, for some reason, I fail to complete the operation

### getPluginId

    protected java.lang.String getPluginId()

### getDiagramType

    protected java.lang.String getDiagramType()

  gives access to the diagram type.

  Returns:
    DiagramKind diagramType

### getSemanticContext

    protected org.eclipse.emf.ecore.EObject getSemanticContext()

  gives access to the semantic context

  Returns:
    the semantic context

### getPreferencesHint

    protected PreferencesHint getPreferencesHint()

  Gets the preferences hint that is to be used to find the appropriate preference store from which to retrieve diagram preference values. The preference hint is mapped to a preference store in the preference registry <@link DiagramPreferencesRegistry>.

  Returns:
    the preferences hint

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.